Şifreyi sıfırla
POST
/api/website/customers/password/reset
const url = 'https://api.petanqueai.com/api/website/customers/password/reset';const options = { method: 'POST', headers: { 'x-storefront-token': '<x-storefront-token>', 'Content-Type': 'application/json' }, body: '{"token":"example","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.petanqueai.com/api/website/customers/password/reset \ --header 'Content-Type: application/json' \ --header 'x-storefront-token: <x-storefront-token>' \ --data '{ "token": "example", "password": "example" }'Sıfırlama bağlantısındaki token’la yeni şifreyi belirler ve müşterinin tüm oturumlarını kapatır. 204 döner; bilinmeyen, kullanılmış ya da süresi dolmuş bir token 410 alır.
Yetkilendirmeler
Bölüm başlığı “Authorizations”İstek gövdesizorunlu
Bölüm başlığı “Request Bodyrequired”object
token
zorunlu
string
password
zorunlu
string
Example generated
{ "token": "example", "password": "example"}object
token
zorunlu
string
password
zorunlu
string
Example generated
token=example&password=exampleobject
token
zorunlu
string
password
zorunlu
string